from environs import Env

# read .env file
env = Env()
env.read_env()

# Format: postgresql+{driver}//{user}:{password}@{host}/{name}
# Note that the driver is set by the application.
DATABASE = {
    "USER": env("DATABASE_USER"),
    "PASSWORD": env("DATABASE_PASSWORD"),
    "HOST": env("DATABASE_HOST"),
    "NAME": env("DATABASE_NAME"),
}

# The base domain the API is served on. This must be set.
BASE_DOMAIN = env("BASE_DOMAIN")
# The base domain for short URLs.
SHORT_DOMAIN = env("SHORT_DOMAIN", "prns.localhost")

# Secret key for signing tokens, generate with (for example) `openssl rand -base64 32`
SECRET_KEY = env("SECRET_KEY")

# Whether to echo SQL statements to the logs.
ECHO_SQL = env.bool("ECHO_SQL", False)
